Skip to main content
PUT
/
project
/
{project_id}
/
chart
/
{id}
/
chart-dataset-config
/
{cdc_id}
cURL
curl --request PUT \
  --url https://api.chartbrew.com/project/{project_id}/chart/{id}/chart-dataset-config/{cdc_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chart_id": 123,
  "dataset_id": 123,
  "xAxis": "<string>",
  "xAxisOperation": "<string>",
  "yAxis": "<string>",
  "yAxisOperation": "<string>",
  "dateField": "<string>",
  "dateFormat": "<string>",
  "conditions": [
    {
      "id": "<string>",
      "field": "<string>",
      "value": "<string>",
      "displayValues": true
    }
  ],
  "formula": "<string>",
  "datasetColor": "<string>",
  "fillColor": "<string>",
  "fill": false,
  "multiFill": false,
  "legend": "<string>",
  "pointRadius": 123,
  "excludedFields": [
    "<string>"
  ],
  "sort": "<string>",
  "columnsOrder": [
    "<string>"
  ],
  "order": 0,
  "maxRecords": 123,
  "goal": 123,
  "configuration": {
    "variables": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  }
}
'
import requests

url = "https://api.chartbrew.com/project/{project_id}/chart/{id}/chart-dataset-config/{cdc_id}"

payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chart_id": 123,
"dataset_id": 123,
"xAxis": "<string>",
"xAxisOperation": "<string>",
"yAxis": "<string>",
"yAxisOperation": "<string>",
"dateField": "<string>",
"dateFormat": "<string>",
"conditions": [
{
"id": "<string>",
"field": "<string>",
"value": "<string>",
"displayValues": True
}
],
"formula": "<string>",
"datasetColor": "<string>",
"fillColor": "<string>",
"fill": False,
"multiFill": False,
"legend": "<string>",
"pointRadius": 123,
"excludedFields": ["<string>"],
"sort": "<string>",
"columnsOrder": ["<string>"],
"order": 0,
"maxRecords": 123,
"goal": 123,
"configuration": { "variables": [
{
"name": "<string>",
"value": "<string>"
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chart_id: 123,
dataset_id: 123,
xAxis: '<string>',
xAxisOperation: '<string>',
yAxis: '<string>',
yAxisOperation: '<string>',
dateField: '<string>',
dateFormat: '<string>',
conditions: [{id: '<string>', field: '<string>', value: '<string>', displayValues: true}],
formula: '<string>',
datasetColor: '<string>',
fillColor: '<string>',
fill: false,
multiFill: false,
legend: '<string>',
pointRadius: 123,
excludedFields: ['<string>'],
sort: '<string>',
columnsOrder: ['<string>'],
order: 0,
maxRecords: 123,
goal: 123,
configuration: {variables: [{name: '<string>', value: '<string>'}]}
})
};

fetch('https://api.chartbrew.com/project/{project_id}/chart/{id}/chart-dataset-config/{cdc_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "chart_id": 123,
  "dataset_id": 123,
  "xAxis": "<string>",
  "xAxisOperation": "<string>",
  "yAxis": "<string>",
  "yAxisOperation": "<string>",
  "dateField": "<string>",
  "dateFormat": "<string>",
  "conditions": [
    {
      "id": "<string>",
      "field": "<string>",
      "value": "<string>",
      "displayValues": true
    }
  ],
  "formula": "<string>",
  "datasetColor": "<string>",
  "fillColor": "<string>",
  "fill": false,
  "multiFill": false,
  "legend": "<string>",
  "pointRadius": 123,
  "excludedFields": [
    "<string>"
  ],
  "sort": "<string>",
  "columnsOrder": [
    "<string>"
  ],
  "order": 0,
  "maxRecords": 123,
  "goal": 123,
  "configuration": {
    "variables": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

id
string
required

ID of the chart

cdc_id
string
required

ID of the chart dataset configuration

Body

application/json
id
string<uuid>
chart_id
integer
dataset_id
integer
xAxis
string

Chart-specific x-axis or dimension field using traversal syntax - root[].field

xAxisOperation
string

Chart-specific x-axis operation

yAxis
string

Chart-specific y-axis or metric field using traversal syntax - root[].field

yAxisOperation
string

Chart-specific operation to perform on the y-axis - none, sum, avg, min, max, count

dateField
string

Chart-specific date field using traversal syntax. Specifies which field should be used for date filtering.

dateFormat
string

Chart-specific date format to use for date filtering. e.g YYYY-MM-DD

conditions
object[]

Chart-specific conditions layered on top of the dataset

formula
string
datasetColor
string
fillColor
string
fill
boolean
default:false
multiFill
boolean
default:false
legend
string
pointRadius
integer
excludedFields
string[]
sort
string
columnsOrder
string[]
order
integer
default:0
maxRecords
integer
goal
integer
configuration
object

Additional configuration options for the dataset. Currently used to give values to variables.

Response

Updated chart dataset configuration

id
string<uuid>
chart_id
integer
dataset_id
integer
xAxis
string

Chart-specific x-axis or dimension field using traversal syntax - root[].field

xAxisOperation
string

Chart-specific x-axis operation

yAxis
string

Chart-specific y-axis or metric field using traversal syntax - root[].field

yAxisOperation
string

Chart-specific operation to perform on the y-axis - none, sum, avg, min, max, count

dateField
string

Chart-specific date field using traversal syntax. Specifies which field should be used for date filtering.

dateFormat
string

Chart-specific date format to use for date filtering. e.g YYYY-MM-DD

conditions
object[]

Chart-specific conditions layered on top of the dataset

formula
string
datasetColor
string
fillColor
string
fill
boolean
default:false
multiFill
boolean
default:false
legend
string
pointRadius
integer
excludedFields
string[]
sort
string
columnsOrder
string[]
order
integer
default:0
maxRecords
integer
goal
integer
configuration
object

Additional configuration options for the dataset. Currently used to give values to variables.